BEGIN ~LHMS8E~

IF ~PartyGoldGT(29999)~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 4
  IF ~~ THEN REPLY @2 GOTO 5
END

IF ~PartyGoldLT(30000)~ THEN BEGIN 3
  SAY @3
  IF ~~ THEN DO ~SetGlobal("MrcAlly","GLOBAL",0)
ForceSpell(Myself,SWOOSH_GONE)~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY @4
  IF ~~ THEN DO ~SetGlobal("MrcAlly","GLOBAL",1)
TakePartyGold(30000)
DestroyGold(30000)
ForceSpell(Myself,SWOOSH_GONE)
TakePartyItemAll("lhMIS8c")
~ EXIT
END

IF ~~ THEN BEGIN 5
  SAY @5
  IF ~~ THEN DO ~SetGlobal("MrcAlly","GLOBAL",0)
ForceSpell(Myself,SWOOSH_GONE)~ EXIT
END
